Bug 90856 - [rpmbuild] fails to parse nested %if's
[rpmbuild] fails to parse nested %if's
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-build (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-05-14 14:51 EDT by Enrico Scholz
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 17:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2003-05-14 14:51:10 EDT
Description of problem:

rpmbuild fails to parse spec-files like

%define var	0

Summary:	none
Name:		foo
Version:	0.1
Release:	1
License:	none
Group:		none


%if 0
%if %{var}


| $ rpmbuild -bb foo.spec  
| error: parse error in expression
| error: /tmp/foo.spec:13: parseExpressionBoolean returns -1

When the condition in the first %if evaluates to true, things are fine.

Version-Release number of selected component (if applicable):


How reproducible:

Comment 1 Bill Nottingham 2005-09-29 17:49:32 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.

Note You need to log in before you can comment on or make changes to this bug.